/*********************************************\
* 					      *
*    simpp.h = Include file for SIMPP:	      *
*    For Simple IMage Processing Package.     *
*    Copyright (c) 1987, Benjamin M. Dawson.  *
*      Edit Version: 1.2 : Jan-30-87	      *
* 					      *
\*********************************************/

/* Type definitions */
#ifndef VOID			/* VOID: No useful return from function */
#define VOID
#endif

/* Storage definitions.  May need to be changed for your hardware!! */
#define PIXEL unsigned char	/* Pixel type must be an 8-bit value! */
#define PIXEL_SIZE 256		/* Size of pixel */
#define MINPIX (PIXEL)0		/* Minimum pixel value */
#define MAXPIX (PIXEL)(PIXEL_SIZE-1)	/* Maximum pixel value */
#define XSTART 0		/* Starting image memory X address */
#define YSTART 0		/* Starting image memory Y address */
#define XSIZE 512		/* Horizontal (row) size of image memory */
#define YSIZE 480		/* Vertical (column) size of image memory */
#define XEND XSIZE-1		/* Last horizontal pixel address */
#define YEND YSIZE-1		/* Last vertical pixel address */


/* Option switches */
#define CHECK			/* Define CHECK for bounds checking */

/* Return values */
#define ERROR -1		/* Error return */
#define OK 0			/* Return OK */

/* Convolution switches */
#define MAX_KERNEL_SIZE 8	/* Maximum size of kernel */
#define	SIGNED 0		/* Don't change convolution output */
#define POSITIVE 1		/* Output + values only. - set to 0 */
#define NEGATIVE 2		/* Set + values to 0, output - of - values */
#define ABSOLUTE 3		/* Output absolute values */

/* External declarations */
extern PIXEL read_pixel();
extern PIXEL read_LUT();

/* CPU and image memory (image processor) specific definitions */
#define MEMSIZE 65516L		/* Size of largest buffer for CII Big model */
#undef NO_SIGN_FILL		/* Define if CPU does NOT fill with */
				/* bits on a right shift (see convolution) */
#define LUTS			/* Define LUTS if you have output LUTS */
#ifdef LUTS
#define RED 1			/* Select RED LUT */
#define GREEN 2			/* Select GREEN LUT */
#define BLUE 3			/* Select BLUE LUT */
#endif

/* ================ End of simpp.h ================ */

/* <-- FILE BREAK --> */
